Recent

Author Topic: Fpcupdeluxe  (Read 687497 times)

Thaddy

  • Hero Member
  • *****
  • Posts: 11910
Re: Fpcupdeluxe
« Reply #2040 on: July 25, 2022, 08:53:03 pm »
Unfortunately, FPC does not (yet) support aarch64 on FreeBSD.
FreeBSD can run in Linux Compatibility mode (Tried that in a different context and works). It is not a direct solution, but FreeBSD-Aarch64 should then work when compiled for Aarch64-Linux compiled programs and that is supported.
Maybe Marco can help, he is a BSD flavor guru. I do not use the BSD flavors too much - but I do use it for some of my servers - , so some further help is needed.
« Last Edit: July 25, 2022, 09:02:10 pm by Thaddy »
Black themes should be banned.

DonaldShimoda

  • Jr. Member
  • **
  • Posts: 94
    • Parallel Pascal Worlds
Re: Fpcupdeluxe
« Reply #2041 on: July 26, 2022, 04:41:54 am »
Theres any way to run Release v2.2.0j of fpcupdeluxe on Raspberry PI Model B+ 1.2 ?

i Try both opcion and both give access violation

fpcupdeluxe-armv6hf-linux


An unhandled exception occurred at $000265C0:
EAccessViolation: Access violation
  $000265C0

the SOC processor
 is

BCM2835

and the ARM processor

ARM1176JZF-S

Seem like latest compilers dont produce right binaries for this processor?


DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2042 on: July 26, 2022, 07:39:23 am »
Did you also try the normal (non-hf) binary ?
fpcupdeluxe-arm-linux

PascalDragon

  • Hero Member
  • *****
  • Posts: 4549
  • Compiler Developer
Re: Fpcupdeluxe
« Reply #2043 on: July 26, 2022, 08:51:57 am »
Unfortunately, FPC does not (yet) support aarch64 on FreeBSD.

aarch64-freebsd is supported in main since April 2021.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2044 on: July 26, 2022, 09:35:31 am »
@PascalDragon
Quite right. I stand corrected.
@BSaidus
If you can give me SSH access (PM) to an aarch64-freebsd system, I can have a look.

DonaldShimoda

  • Jr. Member
  • **
  • Posts: 94
    • Parallel Pascal Worlds
Re: Fpcupdeluxe
« Reply #2045 on: July 26, 2022, 10:45:45 pm »
Did you also try the normal (non-hf) binary ?
fpcupdeluxe-arm-linux

yes, both of them . Same error.

have another PI working with the fpcupdeluxe version 2.2.0i . theres any way to download previous versions?
« Last Edit: July 26, 2022, 10:50:51 pm by DonaldShimoda »

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2046 on: July 27, 2022, 07:43:57 am »
2.2.0h is still available. Does that version work for you ?

jbiansan

  • Newbie
  • Posts: 2
Re: Fpcupdeluxe
« Reply #2047 on: July 30, 2022, 05:32:26 pm »
Hello
 I've installed Lazarus 2.2.2+FPC 3.2.2. with fpcupdeluxe-i386-win32.exe (version 2.2.0j) on Windows 10 21H2 64bits.
TPrintDialog, TPrinterSetupDialog and TPageSetupDialog are missing in "dialogs" .
??

They are present when I install Lazarus 2.2.2 directly.

Thanks in advance
JM Biansan

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2048 on: July 31, 2022, 02:40:58 pm »
@jbiansan
That is correct.
Everything that might give an error when installing Lazarus is left out of the basic install. You can use the modules tab to install additional features.
However.
The printers module was hidden. It has been made visible in a pre-release that you might test.
See: https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/v2.2.0k/fpcupdeluxe-i386-win32.exe
Module: printer4lazarus

AlanTheBeast

  • Sr. Member
  • ****
  • Posts: 300
  • My software never cras....
Re: Fpcupdeluxe
« Reply #2049 on: July 31, 2022, 11:39:34 pm »
Preamble: muddling along with Laz.Ultibo under Ubuntu[1] under a VM on the Mac.  Due to VMWare's bizarre window settings cannot use "fullscreen" w/o losing my second monitor.  I digress.

Some time ago I tried fpcdeluxe to no avail to install Ultibo-Laz/FPC on my Mac.  Just DL'd a fresh v. from GitHub (May 2022 v. of fpcdeluxe for x86/Cocoa) and get errors such as:

Same issues: ("Access violation. Press OK to ignore and risk data corruption").

And the Ultibo "target" is paled out implying it's not even available....

Any insights?

Is there a general guide to converting a Linux install script to a Mac OS install script?

Thanks.
_______________________________________________________
[1] Yech!
Everyone talks about the weather but nobody does anything about it.
..Samuel Clemens.

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2050 on: August 01, 2022, 11:17:19 am »
Please let me get things clear first.
Do you want to install Ultibo in a VM (Linux) on a Mac ?
Or.
Do you want to install Ultibo on a Mac (OSX) itself ?

marcov

  • Administrator
  • Hero Member
  • *
  • Posts: 10288
  • FPC developer.
Re: Fpcupdeluxe
« Reply #2051 on: August 01, 2022, 11:58:27 am »
aarch64-freebsd is supported in main since April 2021.

(it doesn't mention FreeBSD version, and probably needs to be reverified with a recent trunk after the FreeBSD12+ fixes)

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1561
Re: Fpcupdeluxe
« Reply #2052 on: August 01, 2022, 12:06:13 pm »
I succeeded in installing all on a FreeBSD-13 system some time ago. See screenshot of a FreeBSD-VM on Windows.
However, do not know the current status of FPC and Lazarus regarding latest FreeBSD.

AlanTheBeast

  • Sr. Member
  • ****
  • Posts: 300
  • My software never cras....
Re: Fpcupdeluxe
« Reply #2053 on: August 01, 2022, 02:57:44 pm »
Please let me get things clear first.
Do you want to install Ultibo in a VM (Linux) on a Mac ?
Or.
Do you want to install Ultibo on a Mac (OSX) itself ?

Desired state: Ultibo (Laz/FPC) on Mac. (OS 10.14).

Everyone talks about the weather but nobody does anything about it.
..Samuel Clemens.

jbiansan

  • Newbie
  • Posts: 2
Re: Fpcupdeluxe
« Reply #2054 on: August 02, 2022, 05:17:28 pm »
@jbiansan
That is correct.
Everything that might give an error when installing Lazarus is left out of the basic install. You can use the modules tab to install additional features.
However.
The printers module was hidden. It has been made visible in a pre-release that you might test.
See: https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/download/v2.2.0k/fpcupdeluxe-i386-win32.exe
Module: printer4lazarus
Works well with 2.2.0k.
Thanks !

 

TinyPortal © 2005-2018